package org.apache.jmeter.save.handlers;

import org.apache.jmeter.save.Saveable;
import java.io.Writer;
import org.apache.jmeter.save.xml.*;
import org.apache.jmeter.reporters.Filer;
import org.xml.sax.Attributes;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class FilerHandler extends TagHandler
{
	Filer model;

	public FilerHandler()
	{
	}

	public void save(Saveable saveObject, Writer out) throws java.io.IOException
	{
		Filer save = (Filer)saveObject;
		out.write("<Filer type=\"");
		out.write(JMeterHandler.convertToXML(save.getClass().getName()));
		out.write("\" name=\"");
		out.write(JMeterHandler.convertToXML(save.getName()));
		out.write("\" verbose=\"");
		out.write(""+save.getVerbose());
		out.write("\" append=\"");
		out.write(""+save.getAppend());
		out.write("\" file=\"");
		out.write(JMeterHandler.convertToXML(save.getFile()));
		out.write("\"/>");
	}

	public void setAtts(Attributes atts) throws java.lang.Exception
	{
		model = (Filer)Class.forName(atts.getValue("type")).newInstance();
		model.setName(atts.getValue("name"));
		model.setFile(atts.getValue("file"));
		model.setVerbose(atts.getValue("verbose").equals("true") ? true :false);
		model.setAppend(atts.getValue("append").equals("true") ? true :false);
	}

	public String getPrimaryTagName()
	{
		return "Filer";
	}

	public Object getModel()
	{
		return model;
	}
}